> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/api-reference/reference/additional-fields.md).

# Additional Fields

## Retrieve additional fields

> Extract information about additional fields you set up for your account.

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/additionalfields/":{"get":{"tags":["Additional fields"],"summary":"Retrieve additional fields","description":"Extract information about additional fields you set up for your account.","parameters":[{"name":"Enabled","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"boolean"}},{"name":"Required","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"boolean"}},{"name":"ApplyTo","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Type","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}}],"responses":{"200":{"description":"Get information about additional fields","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAdditionalFieldsResponse"}}}}}}}},"components":{"schemas":{"GetAdditionalFieldsResponse":{"type":"array","items":{"$ref":"#/components/schemas/AdditionalFieldsResponseItems"}},"AdditionalFieldsResponseItems":{"type":"object","properties":{"Label":{"type":"string"},"Code":{"type":"string"},"Type":{"type":"string"},"ApplyTo":{"type":"string"},"Values":{"type":"array","items":{"type":"string"}},"ValidationRule":{"type":"string"},"Translations":{"$ref":"#/components/schemas/AdditionalFieldsResponseItems_Translations"},"Display":{"$ref":"#/components/schemas/AdditionalFieldsResponseItems_Display"}}},"AdditionalFieldsResponseItems_Translations":{"type":"object","properties":{"en":{"$ref":"#/components/schemas/AdditionalFieldsTranslations"},"fr":{"$ref":"#/components/schemas/AdditionalFieldsTranslations"}}},"AdditionalFieldsTranslations":{"type":"object","properties":{"Label":{"type":"string"},"Values":{"type":"array","items":{"type":"string"}},"Language":{"type":"string"}}},"AdditionalFieldsResponseItems_Display":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/AdditionalFieldsDisplay"},"1":{"$ref":"#/components/schemas/AdditionalFieldsDisplay"}}},"AdditionalFieldsDisplay":{"type":"object","properties":{"Type":{"type":"string"},"Active":{"type":"boolean"},"Required":{"type":"boolean"}}}}}}
```

## Create new additional fields

> Use this endpoint to create new additional fields for your account.

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/additionalfields/":{"post":{"tags":["Additional fields"],"summary":"Create new additional fields","description":"Use this endpoint to create new additional fields for your account.","parameters":[{"name":"X-Avangate-Authentication","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body"}},"application/xml":{"schema":{"type":"object","properties":{}}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Invalid data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_400"}}}}}}}},"components":{"schemas":{"body":{"properties":{"ApplyTo":{"type":"string","description":"- ORDER\n- PRODUCT"},"Code":{"type":"string","description":"Field identifier. Alpha-numeric chars, underscores and dashes."},"Label":{"type":"string","description":"Field text."},"Translations":{"$ref":"#/components/schemas/additionalfields_Translations"},"Type":{"type":"string","description":"Field type:\n- LISTBOX\n- CHECKBOX\n- TEXT\n- HIDDEN"},"ValidationRule":{"type":"string","description":"The validation rule restricting the type of information shoppers can enter in the additional field during the purchase process."},"Values":{"type":"array","description":"Custom values you control.","items":{"type":"string"}}}},"additionalfields_Translations":{"type":"object","properties":{"de":{"$ref":"#/components/schemas/additionalfields_Translations_de"},"fr":{"$ref":"#/components/schemas/additionalfields_Translations_fr"}}},"additionalfields_Translations_de":{"type":"object","properties":{"Label":{"type":"string"},"Language":{"type":"string"},"Values":{"type":"array","items":{"type":"string"}}}},"additionalfields_Translations_fr":{"type":"object","properties":{"Label":{"type":"string"},"Language":{"type":"string"},"Values":{"type":"array","items":{"type":"string"}}}},"inline_response_400":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get information about an additional field

> Use this endpoint to extract information about a specific additional field you set up for your account.

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/additionalfields/{FieldCode}/":{"get":{"tags":["Additional fields"],"summary":"Get information about an additional field","description":"Use this endpoint to extract information about a specific additional field you set up for your account.","parameters":[{"name":"FieldCode","in":"path","description":"Field identifier. Alpha-numeric chars, underscores and dashes.","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdditionalFieldsResponseItems"}}}},"400":{"description":"Invalid data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_400"}}}}}}}},"components":{"schemas":{"AdditionalFieldsResponseItems":{"type":"object","properties":{"Label":{"type":"string"},"Code":{"type":"string"},"Type":{"type":"string"},"ApplyTo":{"type":"string"},"Values":{"type":"array","items":{"type":"string"}},"ValidationRule":{"type":"string"},"Translations":{"$ref":"#/components/schemas/AdditionalFieldsResponseItems_Translations"},"Display":{"$ref":"#/components/schemas/AdditionalFieldsResponseItems_Display"}}},"AdditionalFieldsResponseItems_Translations":{"type":"object","properties":{"en":{"$ref":"#/components/schemas/AdditionalFieldsTranslations"},"fr":{"$ref":"#/components/schemas/AdditionalFieldsTranslations"}}},"AdditionalFieldsTranslations":{"type":"object","properties":{"Label":{"type":"string"},"Values":{"type":"array","items":{"type":"string"}},"Language":{"type":"string"}}},"AdditionalFieldsResponseItems_Display":{"type":"object","properties":{"0":{"$ref":"#/components/schemas/AdditionalFieldsDisplay"},"1":{"$ref":"#/components/schemas/AdditionalFieldsDisplay"}}},"AdditionalFieldsDisplay":{"type":"object","properties":{"Type":{"type":"string"},"Active":{"type":"boolean"},"Required":{"type":"boolean"}}},"inline_response_400":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## GET /additionalfields/{FieldCode}/translations/{ISOcode}/

> Retrieve additional field texts and translations

```json
{"openapi":"3.0.0","info":{"title":"API REST Documentation","version":"6.0-oas3"},"servers":[{"url":"https://api.2checkout.com/rest/6.0"}],"paths":{"/additionalfields/{FieldCode}/translations/{ISOcode}/":{"get":{"tags":["Additional fields"],"summary":"Retrieve additional field texts and translations","parameters":[{"name":"FieldCode","in":"path","description":"Field identifier. Alpha-numeric chars, underscores and dashes.","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"ISOcode","in":"path","description":"ISO 639-1 two-letter code. Case sensitive.","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"Accept","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"application/json","enum":["application/json"]}},{"name":"X-Avangate-Authentication","in":"header","description":"Authentication header","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_3"}}}},"400":{"description":"Invalid data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_400"}}}}}}}},"components":{"schemas":{"inline_response_200_3":{"properties":{"Label":{"type":"string"},"Values":{"type":"array","items":{"type":"string"}},"Language":{"type":"string"}}},"inline_response_400":{"type":"object","properties":{"error_code":{"type":"string"},"message":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.2checkout.com/api-reference/reference/additional-fields.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
